package org.hmn.jrsd.rt;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Called when on a resultset row. visit() is called for each row; in this
 * manner you can retrieve something with more specific methods than
 * getObject() : getBlob(), getTimestamp(), etc.
 * @author Karadimas
 *
 */
public interface ResultSetColVisitable
{
  
  /**
   * Called for each row of the result set. 
   * @param rs
   * @throws SQLException
   * @throws ResultSetColVisitException
   */
  public void visit(ResultSet rs)
  throws SQLException, ResultSetColVisitException;
  
}
