package org.hmn.jrsd.rt;

import java.io.Serializable;

import simpleorm.dataset.SFieldMeta;

/*
 * 
 * Cree par Harry Karadimas a 2 mai 08
 */
/**
 * Stores the association between a field (an {@link SFieldMeta} object) and
 * the name of an attribute in a user "transport" object. Names do not need to
 * be related; you can have SFieldString foo, and attribute name "bar" for
 * example. The declarations for the TransportFieldMapping(s) are generated
 * by jrsd using the jrsd descriptors.
 */
public class TransportFieldMapping 
implements Serializable
{
  
  private static final long serialVersionUID = -7340097048664255975L;
  
  SFieldMeta fm;
  String attName;
  
  public TransportFieldMapping(SFieldMeta fieldMeta, String attName) {
    this.fm = fieldMeta;
    this.attName = attName;
  }
  
  public SFieldMeta getFieldMeta() { return fm; }
  
  public String getAttributeName() { return attName; }
  
}